using System;
using System.Security.Cryptography;

namespace MD5HashDemo
{
	public class MD5HashHelper
	{
		public byte[] GetHash(string message)
		{
			byte[] data;
			data=System.Text.UTF8Encoding.ASCII.GetBytes(message);
			MD5CryptoServiceProvider md5=new MD5CryptoServiceProvider();
			return md5.ComputeHash(data,0,data.Length);
		}

		public bool VerifyHash(string message, byte[] hash)
		{
			byte[] data;
			data=System.Text.UTF8Encoding.ASCII.GetBytes(message);
			MD5CryptoServiceProvider md5=new MD5CryptoServiceProvider();
			byte[] hashtemp=md5.ComputeHash(data,0,data.Length);

			for(int x = 0; x < hash.Length;x++)
			{
				if (hash[x] != hashtemp[x])
				{
					return false;
				}
			}
			return true;
		}
	}
}
